Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support
Class AutoExport

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum
          org.springframework.core.enums.StaticLabeledEnum
              org.eclipse.gemini.blueprint.service.exporter.support.AutoExport

All Implemented Interfaces:
  Serializable, Comparable, InterfaceDetector, org.springframework.core.enums.LabeledEnum

Deprecated. as of 2.0, replaced by `InterfaceDetector`

    public abstract class AutoExport

extends org.springframework.core.enums.StaticLabeledEnum
implements InterfaceDetector

Enum-like class indicatin class exporters available to `OsgiServiceFactoryBean` for registering object as OSGi services.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary
`static AutoExport` | `ALL_CLASSES` Deprecated. Export every class, inherited or implemented by the given target.
`static AutoExport` | `CLASS_HIERARCHY` Deprecated. Export the class hierarchy (all classes inherited by the given target excluding Object.class)
`static AutoExport` | `DISABLED` Deprecated. Do not export anything
`static AutoExport` | `INTERFACES` Deprecated. Export all interfaces (and their hierarchy) implemented by the given class

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Method Summary
`Class<?>[]` | `detect(Class<?> targetClass)` Deprecated. Detects the 'interfaces' of the given target, suitable for OSGi service export.

Methods inherited from class org.springframework.core.enums.StaticLabeledEnum
`getCode, getLabel, readResolve, shortValue`

Methods inherited from class org.springframework.core.enums.AbstractLabeledEnum
`compareTo, equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DISABLED

    public static final AutoExport DISABLED

  Deprecated.
  Do not export anything

### INTERFACES

    public static final AutoExport INTERFACES

  Deprecated.
  Export all interfaces (and their hierarchy) implemented by the given class

### CLASS_HIERARCHY

    public static final AutoExport CLASS_HIERARCHY

  Deprecated.
  Export the class hierarchy (all classes inherited by the given target excluding Object.class)

### ALL_CLASSES

    public static final AutoExport ALL_CLASSES

  Deprecated.
  Export every class, inherited or implemented by the given target. Similar to `CLASS_HIERARCHY` + `INTERFACES`

Method Detail

### detect

    public final Class<?>[] detect(Class<?> targetClass)

  Deprecated.
  Description copied from interface: `InterfaceDetector`
  Detects the 'interfaces' of the given target, suitable for OSGi service export.

  Specified by:
    `detect` in interface `InterfaceDetector`
  Parameters:
    `targetClass` - target class
  Returns:
    non-null array of detected interfaces

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.